import { type Address, type FixedSizeCodec, type FixedSizeDecoder, type FixedSizeEncoder } from "@solana/kit";
export type SetTokenController = {
    tokenController: Address;
};
export type SetTokenControllerArgs = SetTokenController;
export declare function getSetTokenControllerEncoder(): FixedSizeEncoder<SetTokenControllerArgs>;
export declare function getSetTokenControllerDecoder(): FixedSizeDecoder<SetTokenController>;
export declare function getSetTokenControllerCodec(): FixedSizeCodec<SetTokenControllerArgs, SetTokenController>;
